class Session{
    constructor() {
        this.obj = {};
    }

    set(key,prop,value){
        const obj = this.obj[key]||{};
        obj[prop] = value;
        this.obj[key] = obj;
    }

    get(key,prop){
        const obj = this.obj[key]||{};
        return obj[prop];
    }

    setModel(key,model){
        this.obj[key] = model||{};
    }

    remove(key){
        this.obj[key] = null;
    }
}

const data = new Session()
window.ELAB_SESSION = data;


export default data;